//Force Single Select v1.0

//Purpose:
//Forces Single Selection for the status and/or resource fields
//Particularily useful on mobile where multi-select is the default behavior
//and the field only supports a single value

//Action Type: On Field Change
//Prevent Default Action: Yes

//config variables

//array of fields to force single select, possible values are resource and status
var fieldsToEnforce = ['status','resource'];
//enforce this function on mobile only?
var mobileOnly = false;

//----------- You shouldn’t need to edit below this line -------------------

if (params && params.data){
  forceSingleSelect();
}

function forceSingleSelect() {

    var mobileCheck = mobileOnly ? environment.isMobileDevice : true;

    if (fieldsToEnforce.filter(checkField).length > 0 && mobileCheck) {
        $timeout(function () {
            if (params.data.selected) {
                editEvent[params.data.field] = [params.data.value];
                if(params.data.label){
                    editEvent[params.data.field + 'Label'] = [params.data.label];
                }
            }
            else {
                editEvent[params.data.field] = [];
                if(params.data.label){
                    editEvent[params.data.field + 'Label'] = [];
                }
            }
            action.callbacks.cancel();
        }, 0);
    }
    else {
      action.callbacks.confirm();
    }

    function checkField(field){
      if (field===params.data.field){
        return true;
      }
    }

}